<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$mmodulemid=$_POST['mmodulemid'];
	$mainmodulename=checkvalidstring($_POST['mainmodulename']);
	$mmdisplayname=checkvalidstring($_POST['mmdisplayname']);

	
	
	$mmiconname=checkvalidstring($_POST['mmiconname']);
	
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */
 $eve = "select * from res_mainmodule_master where mainmodulename='$mainmodulename' and mmodulemid != $mmodulemid";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "mainmodule Code Already Inserted.";
		header('Location: mainmodule.php');
	}
	else
	{	
	

	$eve1 = "update res_mainmodule_master set mainmodulename='$mainmodulename',mmdisplayname='$mmdisplayname',mmiconname='$mmiconname' $tt where mmodulemid='$mmodulemid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "mainmodule Record Updated succesfully";

		header('Location: mainmodule.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: mainmodule.php');

	}
	}

?>